package com.bocloud.ims.interfaces.resource.azure.monitor;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.monitor.AzureAlarm;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AlarmService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/20 13:53
 */
public interface AzureAlarmService {

    BocloudResult<GridBean<AzureAlarm>> list(Pager pager, RequestContext context);

    BocloudResult<AzureAlarm> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(AzureAlarm entityParams, RequestContext context);

    BocloudResult remove(Long id, RequestContext context);
}